Subject: Re: [PPC] Boot problems after the pci-v6.18-changes

From: Bjorn Helgaas <[email-masked]>
Date: Tue, 11 Nov 2025 06:20:01 -0600

On Tue, Nov 11, 2025 at 06:15:20AM +0100, Christian Zigotzky wrote:
> On 11/07/2025 06:06 AM, Christian Zigotzky wrote:
> > On 11/05/2025 11:09 PM, Bjorn Helgaas wrote:
> > >> I tested your patch with the RC4 of kernel 6.18 today. Unfortunately
> > it
> > >> doesn't solve the boot issue.
> > >
> > > Thanks for testing that.  I see now why that approach doesn't work:
> > > quirk_disable_aspm_l0s_l1() calls pci_disable_link_state(), which
> > > updates the permissible ASPM link states, but pci_disable_link_state()
> > > only works for devices at the downstream end of a link.  It doesn't
> > > work at all for Root Ports, which are at the upstream end of a link.
> > >
> > > Christian, you originally reported that both X5000 and X1000 were
> > > broken.  I suspect X1000 may have been fixed in v6.18-rc3 by
> > > df5192d9bb0e ("PCI/ASPM: Enable only L0s and L1 for devicetree
> > > platforms"), but I would love to have confirmation of that.
> > 
> > Hello Bjorn,
> > 
> > I will enable CONFIG_PCIEASPM and CONFIG_PCIEASPM_DEFAULT for the RC5 of
> > kernel 6.18 and test it with the X1000.
> 
> I tested the RC5 of kernel 6.18 with CONFIG_PCIEASPM and
> CONFIG_PCIEASPM_DEFAULT enabled on my X1000 today. Unfortunately the boot
> problems are still present.

Thanks.  Can you post a dmesg somewhere so I can see what the relevant
device IDs are?  Can be with any kernel, doesn't have to be v6.18.  We
need the Vendor and Device IDs to add a quirk.